Skip to main content
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
by-ext-id
/
{external_id}
Get details about an user by external ID
curl --request GET \
  --url https://api.example.com/api/partners/v2.0/org/{org_id}/users/by-ext-id/{external_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "admin",
  "email": "<string>",
  "num_inverters": 123,
  "num_heat_pumps": 123,
  "num_electric_vehicles": 123,
  "num_wallboxes": 123,
  "external_user_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "is_onboarded": true,
  "street_and_number": "<string>",
  "street_add_info": "<string>",
  "zip_code": "<string>",
  "town": "<string>",
  "country": "<string>",
  "latitude": 123,
  "longitude": 123,
  "last_login": "2023-11-07T05:31:56Z",
  "joined_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.podero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

org_id
string<uuid>
required

The organization ID of the user's organization

external_id
string
required

The external ID of the user

Query Parameters

include_deleted
boolean
default:false

If true, includes soft-deleted

Response

200 - application/json

OK

id
string<uuid>
required
organization_id
string<uuid>
required
role
enum<string>
required
Available options:
admin,
staff,
user,
guest
email
string
required
num_inverters
integer
required
num_heat_pumps
integer
required
num_electric_vehicles
integer
required
num_wallboxes
integer
required
external_user_id
string | null
first_name
string | null
last_name
string | null
is_onboarded
boolean | null
street_and_number
string | null
street_add_info
string | null
zip_code
string | null
town
string | null
country
string | null
latitude
number | null
longitude
number | null
last_login
string<date-time> | null
joined_at
string<date-time> | null